using System.Runtime.InteropServices;

namespace Pilz.Win32.Native;


public class User32
{

    private const string LIB_USER32 = "user32.dll";

    [DllImport(LIB_USER32)]
    public static extern bool GetWindowRect(nint hWnd, ref RECT r);

    [DllImport(LIB_USER32)]
    public static extern nint ChildWindowFromPointEx(nint hWndParent, POINT pt, uint uFlags);

    [DllImport(LIB_USER32)]
    public static extern short GetKeyState(int keyCode);

}